# FileUpload : Object
Return to: HTML DOM Level 0 index

Element on an HTML form for a user to upload a file.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
4.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
FileUpload Constructor() : FileUpload Creates a new instance of a FileUpload object. | Show Details | 4.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

### FileUpload() : FileUpload

Creates a new instance of a FileUpload object.

Returns

FileUpload |

Visibility
  internal

## Properties

Property | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
static onchange : Function Occurs when a user changes the value in the field and moves the focus off the field. | Show Details | 4.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

See Also

  Input.onchange|Event|EventListener|EventTarget

value : String Path and file name to the file being uploaded. | No Details | 4.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

## References

Form|HTMLElement|Input|Text|HTMLInputElement

## Availability

JavaScript 1.0 Inherits from Input, HTMLElement

text_javascript aptana_docs